relude-1.2.2.0: Safe, performant, user-friendly and lightweight Haskell Standard Library

Copyright | (c) 2018-2023 Kowainik
License | MIT
Maintainer | Kowainik <xrom.xkov@gmail.com>
Stability | Stable
Portability | Portable
Safe Haskell | Safe
Language | Haskell2010

Relude.Foldable

Description

This module provides `Foldable` and `Traversable` related types and functions.

Synopsis

- module Relude.Foldable.Reexport
- module Relude.Foldable.Fold

# Documentation

module Relude.Foldable.Reexport

Reexports types and functions from Data.Foldable and Data.Traversable.

module Relude.Foldable.Fold

Type safe versions and additional functions to `Foldable`.